RADIUS Authentication - Bug #677

Error when enabling RADIUS user script
11/22/2013 06:37 AM - Luke Murphey
Description
See http://answers.splunk.com//answers/109469/how-to-improve-radius-sample-script-to-read-service-type-from-radius-response

Doing the search, | find this:

RESTException: [HTTP 409] [{'code': None, 'type': 'ERROR!, 'text": "In handler 'Scripted-auth': The configuration 'radius_auth_script'
already exists."}]

But | did erase the configuration file | added for the script.. is the restart after installing the app not enough, maybe?

History

#1 - 11/22/2013 07:03 AM - Luke Murphey

Trying to figure out what is happening here. It is possible that a RESTException is now thrown instead of a ResourceNotFound. See
http://lukemurphey.net/projects/splunk-radius-auth/repository/revisions/68/entry/trunk/src/bin/radius_auth_rest_handler.py#L 471

#2 - 11/22/2013 07:58 AM - Luke Murphey

I'm having a hard time reproducing the problem.
Here are the most likely candidates:

¢ radius_auth_rest_handler::setAuthenticationScriptStatus: enables or disables with a call to "admin/Scripted-auth”
¢ radius_auth_rest_handler::configureAuthenticationScript: creates the radius_auth_script stanza

Potential reasons

1. An existing stanza already exists but the REST handler isn't detecting it
2. The user lacks admin privileges

Questions | have:

1. Does the stanza already exist?
2. Where is the exception being thrown from? Is a stacktrace in the logs?

#3 - 11/26/2013 06:29 AM - Luke Murphey
Here is the traceback:
Traceback (most recent call last): File "/opt/splunk/etc/apps/radius_auth/bin/radius_auth_rest_handler.py", 1li

ne 581, in handleEdit self.configureAuthenticationScript (not disabled)
File "/opt/splunk/etc/apps/radius_auth/bin/radius_auth_rest_handler.py", line 201, in wrapper r = fx(self, arg

05/15/2024 12



http://answers.splunk.com//answers/109469/how-to-improve-radius-sample-script-to-read-service-type-from-radius-response
http://lukemurphey.net/projects/splunk-radius-auth/repository/revisions/68/entry/trunk/src/bin/radius_auth_rest_handler.py#L471

s, *kwargs)
File "/opt/splunk/etc/apps/radius_auth/bin/radius_auth_rest_handler.py", line 493, in configureAuthenticationS
cript entity.setEntity( en, sessionKey = self.getSessionKey() )

The issue is in configureAuthenticationScript.

#4 - 11/26/2013 07:02 AM - Luke Murphey

- Status changed from New to In Progress

#5 - 11/26/2013 08:05 AM - Luke Murphey

The issue was caused by a stray authentication stanza being left behind.
#6 - 11/26/2013 08:05 AM - Luke Murphey

- Status changed from In Progress to Closed

- % Done changed from 0 to 100
